package net.codinux.banking.client

import net.codinux.banking.client.model.options.GetAccountDataOptions
import net.codinux.banking.client.model.response.GetAccountDataResponse
import net.codinux.banking.client.model.response.Response

interface BlockingBankingClientForUser {

    // for languages not supporting default parameters (Java, Swift, JS, ...)
    fun getAccountData() = getAccountData(GetAccountDataOptions())

    fun getAccountData(options: GetAccountDataOptions): Response<GetAccountDataResponse>

}