package net.codinux.banking.client

import net.codinux.banking.client.model.AccountCredentials
import net.codinux.banking.client.model.options.GetAccountDataOptions
import net.codinux.banking.client.model.request.GetAccountDataRequest

abstract class BlockingBankingClientForUserBase(
    protected val credentials: AccountCredentials,
    protected val client: BlockingBankingClient
) : BlockingBankingClientForUser {

    override fun getAccountData(options: GetAccountDataOptions) =
        client.getAccountData(GetAccountDataRequest(credentials, options))

}