package net.codinux.banking.client.model

import net.codinux.banking.client.model.config.NoArgConstructor

@NoArgConstructor
open class AccountCredentials(
    val bankCode: String,
    val loginName: String,
    val password: String
) {
    override fun toString() = "$bankCode $loginName"
}