package net.codinux.banking.client.model

import net.codinux.banking.client.model.config.NoArgConstructor

@NoArgConstructor
open class BankInfo(
    val name: String,
    val bic: String,
    val serverAddress: String,
    val bankingGroup: BankingGroup? = null
) {
    override fun toString() = "$name $bic $bankingGroup"
}