package net.codinux.banking.client.model.extensions

import kotlinx.datetime.DateTimeUnit
import kotlinx.datetime.LocalDate
import kotlinx.datetime.TimeZone
import kotlinx.datetime.minus


fun LocalDate.minusDays(days: Int): LocalDate {
    return this.minus(days, DateTimeUnit.DAY)
}

val TimeZone.Companion.EuropeBerlin: TimeZone
    get() = TimeZone.of("Europe/Berlin")