package net.codinux.banking.client.model

import kotlin.test.Test
import kotlin.test.assertEquals

class AmountTest {

    @Test
    fun add() {
        val result = Amount("0.1") + Amount("0.2")

        assertEquals(Amount("0.3"), result)
    }

    @Test
    fun minus() {
        val result = Amount("0.1") - Amount("0.2")

        assertEquals(Amount("-0.1"), result)
    }

    @Test
    fun multiply() {
        val result = Amount("0.1") * Amount("0.2")

        assertEquals(Amount("0.02"), result)
    }

    @Test
    fun divide() {
        val result = Amount("1") / Amount("3")

        assertEquals(Amount("0.33333333333333333333"), result)
    }

}