package net.codinux.banking.client

import net.codinux.banking.client.model.request.GetAccountDataRequest
import net.codinux.banking.client.model.response.GetAccountDataResponse
import net.codinux.banking.client.model.response.Response

interface BlockingBankingClient {

    suspend fun getAccountData(bankCode: String, loginName: String, password: String) =
        getAccountData(GetAccountDataRequest(bankCode, loginName, password))

    fun getAccountData(request: GetAccountDataRequest): Response<GetAccountDataResponse>

}