package net.codinux.banking.client.model

import net.codinux.banking.client.model.config.NoArgConstructor

@NoArgConstructor
open class BankAccountIdentifier(
    val identifier: String,
    val subAccountNumber: String?,
    val iban: String?
) {
    constructor(account: BankAccount) : this(account.identifier, account.subAccountNumber, account.iban)

    override fun toString() = "$identifier, $iban"
}