package net.codinux.banking.client.model.response

enum class ErrorType {
    BankDoesNotSupportFinTs3,

    NetworkError,

    InternalError,

    BankReturnedError,

    WrongCredentials,

    AccountLocked,

    JobNotSupported,

    UserCancelledAction,

    TanRequiredButShouldAbortIfRequiresTan,

    TanRequestIdNotFound,

    NoneOfTheAccountsSupportsRetrievingData,

    DidNotRetrieveAllAccountData,

    CanNotDetermineBicForIban,

    NoAccountSupportsMoneyTransfer,

    MoreThanOneAccountSupportsMoneyTransfer,

    UnknownError
}