pluginManagement {
    val kotlinVersion: String by settings


    repositories {
        mavenCentral()
        gradlePluginPortal()
    }

    plugins {
        kotlin("multiplatform") version kotlinVersion
        kotlin("jvm") version kotlinVersion
//        kotlin("plugin.serialization") version kotlinVersion

        kotlin("plugin.allopen") version kotlinVersion
        kotlin("plugin.noarg") version kotlinVersion
    }
}
plugins {
    id("org.gradle.toolchains.foojay-resolver-convention") version "0.8.0"
}


rootProject.name = "BankingClientProject"


include("BankingClientModel")
include("BankingClient")

include("FinTs4jBankingClient")
project(":FinTs4jBankingClient").apply {
    name = "fints4k-banking-client"
}

include("SampleApp")
